intervals-0.8.1: Interval Arithmetic

Safe Haskell | Safe
Language | Haskell98

Numeric.Interval.Exception

# Documentation

data EmptyInterval Source #

Constructors

EmptyInterval |

Instances

Eq EmptyInterval Source # |
Methods (==) :: EmptyInterval -> EmptyInterval -> Bool # (/=) :: EmptyInterval -> EmptyInterval -> Bool #
Data EmptyInterval Source # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> EmptyInterval -> c EmptyInterval #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c EmptyInterval #

toConstr :: EmptyInterval -> Constr #

dataTypeOf :: EmptyInterval -> DataType #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c EmptyInterval) #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c EmptyInterval) #

gmapT :: (forall b. Data b => b -> b) -> EmptyInterval -> EmptyInterval #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> EmptyInterval -> r #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> EmptyInterval -> r #

gmapQ :: (forall d. Data d => d -> u) -> EmptyInterval -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> EmptyInterval -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval #

Ord EmptyInterval Source # |
Methods compare :: EmptyInterval -> EmptyInterval -> Ordering # (<) :: EmptyInterval -> EmptyInterval -> Bool # (<=) :: EmptyInterval -> EmptyInterval -> Bool # (>) :: EmptyInterval -> EmptyInterval -> Bool # (>=) :: EmptyInterval -> EmptyInterval -> Bool # max :: EmptyInterval -> EmptyInterval -> EmptyInterval # min :: EmptyInterval -> EmptyInterval -> EmptyInterval #
Show EmptyInterval Source # |
Methods showsPrec :: Int -> EmptyInterval -> ShowS # show :: EmptyInterval -> String # showList :: [EmptyInterval] -> ShowS #
Exception EmptyInterval Source # |
Methods toException :: EmptyInterval -> SomeException # fromException :: SomeException -> Maybe EmptyInterval # displayException :: EmptyInterval -> String #

data AmbiguousComparison Source #

Constructors

AmbiguousComparison |

Instances

Eq AmbiguousComparison Source # |
Methods (==) :: AmbiguousComparison -> AmbiguousComparison -> Bool # (/=) :: AmbiguousComparison -> AmbiguousComparison -> Bool #
Data AmbiguousComparison Source # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> AmbiguousComparison -> c AmbiguousComparison #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c AmbiguousComparison #

toConstr :: AmbiguousComparison -> Constr #

dataTypeOf :: AmbiguousComparison -> DataType #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c AmbiguousComparison) #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c AmbiguousComparison) #

gmapT :: (forall b. Data b => b -> b) -> AmbiguousComparison -> AmbiguousComparison #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> AmbiguousComparison -> r #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> AmbiguousComparison -> r #

gmapQ :: (forall d. Data d => d -> u) -> AmbiguousComparison -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> AmbiguousComparison -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison #

Ord AmbiguousComparison Source # |

Methods

compare :: AmbiguousComparison -> AmbiguousComparison -> Ordering #

(<) :: AmbiguousComparison -> AmbiguousComparison -> Bool #

(<=) :: AmbiguousComparison -> AmbiguousComparison -> Bool #

(>) :: AmbiguousComparison -> AmbiguousComparison -> Bool #

(>=) :: AmbiguousComparison -> AmbiguousComparison -> Bool #

max :: AmbiguousComparison -> AmbiguousComparison -> AmbiguousComparison #

min :: AmbiguousComparison -> AmbiguousComparison -> AmbiguousComparison #

Show AmbiguousComparison Source # |
Methods showsPrec :: Int -> AmbiguousComparison -> ShowS # show :: AmbiguousComparison -> String # showList :: [AmbiguousComparison] -> ShowS #
Exception AmbiguousComparison Source # |
Methods toException :: AmbiguousComparison -> SomeException # fromException :: SomeException -> Maybe AmbiguousComparison # displayException :: AmbiguousComparison -> String #